Subject: bug#55312: 29.0.50; Cannot set vscroll when mini-window is resized

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 May 2022 16:48:56 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 09 May 2022 09:38:46 +0800
> 
> Po Lu <[email-masked]> writes:
> 
> > Thanks.  I think I'd prefer the latter, and will begin working on it.
> 
> Now done, so I'm closing this bug report.

Hmm... shouldn't we reset the new flag not just when w->force_start is
non-zero?  Otherwise, the flag could survive more than a single
redisplay cycle, and affect situations that the caller of
set-window-vscroll didn't intend, no?

How about resetting the flag in mark_window_display_accurate_1 as
well?